curl --request GET \
--url https://api.mintlify.com/v1/analytics/{projectId}/feedback/by-page \
--header 'Authorization: Bearer <token>'{
"feedback": [
{
"path": "<string>",
"thumbsUp": 123,
"thumbsDown": 123,
"code": 123,
"total": 123
}
],
"hasMore": true
}Retrieve feedback counts aggregated by documentation page, including thumbs up/down ratings and code snippet feedback.
curl --request GET \
--url https://api.mintlify.com/v1/analytics/{projectId}/feedback/by-page \
--header 'Authorization: Bearer <token>'{
"feedback": [
{
"path": "<string>",
"thumbsUp": 123,
"thumbsDown": 123,
"code": 123,
"total": 123
}
],
"hasMore": true
}hasMore field in the response to determine if additional pages of results are available. Increase the limit parameter to retrieve more results per request.
dateFrom and dateTo to limit results to a specific time periodcode_snippet or contextual feedback typespending, in_progress, resolved, or dismissedThe Authorization header expects a Bearer token. Use an admin API key (prefixed with mint_). This is a server-side secret key. Generate one on the API keys page in your dashboard.
Date in ISO 8601 or YYYY-MM-DD format
"2024-01-01"
Date in ISO 8601 or YYYY-MM-DD format. dateTo is an exclusive upper limit. Results include dates before, but not on, the specified date.
"2024-01-01"
Filter by feedback source
code_snippet, contextual Comma-separated list of statuses to filter by
Max results per page
1 <= x <= 100Was this page helpful?